﻿namespace Kolory_MAUI3;

using static Ustawienia;

public partial class MainPage : ContentPage
{
	public MainPage()
	{
		InitializeComponent();
		var kolor = Czytaj();
		aktualizujInterfejs = false;
		sliderR.Value = kolor.r;
		sliderG.Value = kolor.g;
		aktualizujInterfejs = true;
		sliderB.Value = kolor.b;
	}

	private bool aktualizujInterfejs = true;

	private void slider_ValueChanged(object sender, EventArgs e)
	{
		if (!aktualizujInterfejs) return;
		Color kolor = Color.FromRgb(sliderR.Value, sliderG.Value, sliderB.Value);
		rectangle.Fill = new SolidColorBrush(kolor);
		labelR.Text = Math.Round(255 * kolor.Red).ToString();
		labelG.Text = Math.Round(255 * kolor.Green).ToString();
		labelB.Text = Math.Round(255 * kolor.Blue).ToString();
		Zapisz(sliderR.Value, sliderG.Value, sliderB.Value);
	}
}

